Brilliant update, but not backwards compatible

Share your experience, tips & tricks, show off your music. Wishes, ideas and feature suggestions
Post Reply
Hades
Posts: 2
Joined: Sat Dec 22, 2007 1:19 am
Location: Queensland, Australia
Contact:

Brilliant update, but not backwards compatible

Post by Hades » Fri Jan 29, 2010 4:51 am

Hi guys, thanks so much for the Devastor update. My favourite plugin just got so much better!

In updating though, I noticed loading up projects in flstudio9 that used previous versions of devastor weren't having their settings recalled correctly. They would just start out with the 'acid scratcher' preset.

To counteract this i've simply kept the old version of devastor, and renamed the new version's dll so i can load my projects properly and then save presets/swap etc..

Just wondering if there is a fix to this? I noticed it also happens for Fazortan's new version (which is also awesome!).

Thanks

User avatar
Sebastian@d16
Posts: 1524
Joined: Tue Nov 07, 2006 9:20 pm
Location: Katowice/Poland

Post by Sebastian@d16 » Fri Jan 29, 2010 10:18 am

Hi,

For starters. We've changed completely the way how presets are managed within Devastor (and other recent plug-ins). In previous 1.0.0 version, presets were visible on a host's side and it was possible to load and store them as fxp files, which is pretty outdated technology. We've changed it, as in matter of fact like other companies did, to only internal preset management. List of presets isn't visible for a host application. But plug-in responds to midi program change message in order to have control on a changing the presets during playing the song.

Factory presets and preset stored in a project are two separate things. Preset stored in a project is only a state of all controls on GUI. We added few new presets and changed completely the organization of presets in Factory Bank, that's why after loading Devastor 1.2.0 it starts with different preset. But it shouldn't affect on recalling presets stored within the project.

However to be sure, since you kept the old version. Please do following things:

- Rename old version to "Devastor.dll" and make it valid one
- Load project that uses Devastor
- Make a screen shot of Devastor and export whole bank of presets
- Rename new version to "Devastor.dll" and make this one valid one
- Load the same project that uses Devastor
- Make a screen show of DEvastor's GUI once again and export whole bank of presets

Please send both screenshots and banks at support[at]d16[dot]pl

Important is you should name those file in a way we can distinguish which one is from old which one is from new version :)

We're going to compare both screen shots and banks to decide whether:

- Parameters are recalled properly but despite that Devastor sound different
- Parameters aren't recalled properly
- Parameters are recalled properly and everything is fine

Best regards,
Sebastian

Xynnyx
Posts: 3
Joined: Sat Nov 28, 2009 1:57 am

Re: Brilliant update, but not backwards compatible

Post by Xynnyx » Mon Apr 19, 2010 3:54 am

I've got the same problem. I just updated my Devastor to the latest version and all the tracks that I used the old 1.0 version in I've lost my settings. Every track with Devastor in it comes up with Acid Scratcher instead of the settings I had configured... so I've lost that work in a handful of tracks.

I would have thought this would be a regression test you guys would do before releasing, that settings are retained between upgrades. An issue like this should be highlighted in release notes or near the download link from the update page. If I'd known that I would lose all of my Devastor settings in every track I used it in after upgrading, I would have stayed at 1.0.

User avatar
Sebastian@d16
Posts: 1524
Joined: Tue Nov 07, 2006 9:20 pm
Location: Katowice/Poland

Re: Brilliant update, but not backwards compatible

Post by Sebastian@d16 » Mon Apr 19, 2010 10:23 am

Hi,

We prepared update with full awareness of issues that goes with it. We prepared a note within the email when we were releasing the update about possible incompatibilities. Besides if you have some crucial projects you'd like to finish, and you've started them with Devastor 1.0.0, you can always download previous version from User Area (add-ons section).

Best regards,
Sebastian

Xynnyx
Posts: 3
Joined: Sat Nov 28, 2009 1:57 am

Re: Brilliant update, but not backwards compatible

Post by Xynnyx » Tue Apr 20, 2010 6:02 am

Thanks. I've reinstalled the 1.0 version and everything's back.

Post Reply